﻿html, body, .mud-typography {
    font-family: FDINPro, Arial, sans-serif !important;
}

.mud-alert-outlined-error {
    background-color: rgb(255 130 122 / 10%);
}

.mud-alert-outlined-success {
    background-color: rgb(0 200 83 / 10%);
}

.mud-alert-outlined-warning {
    background-color: rgb(255 152 0 / 10%);
}

.mud-alert-outlined-info {
    background-color: rgb(33 150 243 / 10%);
}

.full-height {
    height: 100%;
}


.full-width {
    width: 100%;
}
.file-upload-input {
    position: absolute;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: 10;
    opacity: 0;
    cursor: pointer;
}

.file-pill {
    display: inline-flex;
    align-items: center;
    gap: 6px;
    padding: 6px 10px;
    border-radius: 16px;
    background: var(--mud-palette-secondary);
    color: var(--mud-palette-secondary-text);
    cursor: pointer;
    user-select: none;
    /* ✅ über dem input-overlay */
    position: relative;
    z-index: 20;
}

    .file-pill:hover {
        filter: brightness(0.95);
    }

.file-pill__name {
    max-width: 240px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.file-pill__close {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 22px;
    height: 22px;
    border-radius: 999px;
    border: 0;
    background: rgba(255,255,255,.18);
    color: inherit;
    cursor: pointer;
}

.file-pill__close:hover {
    background: rgba(255,255,255,.28);
}

.upload-hint {
    position: absolute;
    inset: 0;
    display: grid;
    place-items: center; /* ✅ perfekt mittig */
    pointer-events: none; /* ✅ nicht klickbar, blockiert Upload nicht */
    text-align: center;
}

.upload-hint-text {
    opacity: 0.55; /* ✅ "disabled"/hintergrund */
    color: var(--mud-palette-text-secondary);
}

.hint-text {
    opacity: 0.85; /* ✅ "disabled"/hintergrund */
    color: var(--mud-palette-text-secondary);
}
